### org.jfree.layouting.input.style.values

# Class CSSCounterFunction

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSCounterFunction`

Implemented Interfaces:
  CSSValue, Serializable

`public class CSSCounterFunction`
`extends java.lang.Object`
`implements CSSValue`

Creation-Date: 23.11.2005, 12:04:56

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSCounterFunction(String identifier, String listStyle, String separator)`

  ## Method Summary

  `String`

  `getCSSText()`

  `String`

  `getIdentifier()`

  `String`

  `getListStyle()`

  `String`

  `getSeparator()`

  `String`

  `toString()`

## Constructor Details

### CSSCounterFunction

    public CSSCounterFunction(String identifier,
                              String listStyle,
                              String separator)

## Method Details

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getIdentifier

    public String getIdentifier()

### getListStyle

    public String getListStyle()

### getSeparator

    public String getSeparator()

### toString

    public String toString()